## diggler 0.9-8

=== debian/changelog ===
diggler (0.9-8) unstable; urgency=low

  * debian/dirs, debian/links, debian/control: Add support for the new firefox
    package. We will keep backwards compatibility with mozilla-firefox until
    etch release. Closes: #343968.

 -- Mike Hommey <glandium@debian.org>  Sun, 25 Dec 2005 08:09:56 +0100

diggler (0.9-7) unstable; urgency=low

  * install.rdf: Allow diggler to work with firefox 1.5.

 -- Mike Hommey <glandium@debian.org>  Sat,  5 Nov 2005 11:17:02 +0100

diggler (0.9-6) unstable; urgency=low

  * The "next time, i'll try not to forget half of the changes" release.
  * debian/control, debian/postrm, debian/postinst, debian/links, debian/dirs:
    Removed support for mozilla-browser-snapshot, which doesn't exist any more.

 -- Mike Hommey <glandium@debian.org>  Sat,  6 Aug 2005 13:50:08 +0200

diggler (0.9-5) unstable; urgency=low

  * debian/rules, debian/chrome.manifest: Make diggler actually work with
    Deer Park

 -- Mike Hommey <glandium@debian.org>  Sat,  6 Aug 2005 13:42:25 +0200

diggler (0.9-4) unstable; urgency=low

  * install.rdf: Make diggler work on Firefox Deer Park.
  * debian/control: Changed my maintainer address.

 -- Mike Hommey <glandium@debian.org>  Sat,  6 Aug 2005 11:54:59 +0200

diggler (0.9-3) unstable; urgency=medium

  * Set urgency to medium because version currently in sarge doesn't work with
    the version of firefox in there.
  * debian/preinst: Remove directory that would be on the way of the link in
    /usr/lib/mozilla-firefox/extensions. This directory can exist in some
    cases, if some versions of firefox have been used in the past in
    conjunction of diggler.

 -- Mike Hommey <mh@glandium.org>  Thu, 18 Nov 2004 23:07:18 +0900

diggler (0.9-2) unstable; urgency=low

  * Switched to new firefox extensions layout:
    + debian/Uninstall: Added.
    + debian/dirs: Removed /usr/lib/mozilla-firefox/chrome,
      /var/lib/mozilla-firefox/chrome.d, and
      /usr/share/mozilla-extensions/diggler/{uid} ;
      added /usr/share/mozilla-extensions/diggler/chrome and
      /usr/share/mozilla-extensions/diggler/uninstall.
    + debian/rules: Adjusted paths for new file locations, and install
      the additional Uninstall file.
    + debian/links: Adjusted links to new file locations.
    + debian/control:
      - Conflicts with firefox versions earlier than 0.99+1.0RC1-3,
        which introduces this new scheme.
      - Put mozilla-firefox as the first choice in Depency alternatives.

 -- Mike Hommey <mh@glandium.org>  Sat,  6 Nov 2004 20:44:24 +0900

diggler (0.9-1) unstable; urgency=low

  * New upstream release

 -- Mike Hommey <mh@glandium.org>  Sat,  9 Oct 2004 09:58:23 +0200

diggler (0.7-5) unstable; urgency=high

  * Urgency high to get these changes into sarge. Will better fit with
    new mozilla-firefox extensions handling.
  * chrome/content/diggler/contents.rdf: removed chrome:extension="true"
    so that the extension is not considered "old" by Firefox 0.9+.
  * debian/dirs, debian/links:
    + Moved {uid} directory from
      /usr/lib/mozilla-firefox/defaults/profile/extensions/ to
      /usr/share/mozilla-extensions/diggler/{uid}.
    + /usr/lib/mozilla-firefox/extensions/{uid} is now a link to
      /usr/share/mozilla-extensions/diggler/{uid}.
  * debian/rules: put install.rdf file into
    /usr/share/mozilla-extensions/diggler/{uid}.
  * debian/control: Conflicts with mozilla-firefox <= 0.9.3-2.

 -- Mike Hommey <mh@glandium.org>  Sun, 22 Aug 2004 21:52:22 +0900

diggler (0.7-4) unstable; urgency=low

  * debian/control: Put a conflict instead of the versioned dependency.
  * debian/rules: Changed 'cp' to 'install -m 644'.

 -- Mike Hommey <mh@glandium.org>  Sat, 31 Jul 2004 13:28:46 +0900

diggler (0.7-3) unstable; urgency=low

  * debian/control: Added versioned dependency upon mozilla-firefox
    (based on upstream install.rdf).

 -- Mike Hommey <mh@glandium.org>  Fri, 16 Jul 2004 15:34:55 +0900

diggler (0.7-2) unstable; urgency=low

  * Added support for Firefox 0.9+ by:
    + Adding a debian/extensions.d file.
    + Add the appropriate extensions directory to debian/dirs.
    + Add the appropriate link in debian/links.
    + Adapt the debian/rules script to install the needed files.
  * Removed support for Firebird:
    + debian/control: removed dependency upon Firebird.
    + debian/post*: removed call to update-mozilla-firebird-chrome.
  * debian/dirs: Removed directories not needed any more.

 -- Mike Hommey <mh@glandium.org>  Sat,  3 Jul 2004 05:03:31 +0900

diggler (0.7-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    + Adapted script to new upstream layout.
    + Removed installation of prefs.js.
  * debian/prefs.js: Removed file.
  * debian/links: Removed config file links ; removed firebird related files.
  * debian/control: Removed dependency upon mozilla-firebird.
  * debian/postrm: Do nothing on purge.
  * debian/postinst: Remove old configuration file if not changed.

 -- Mike Hommey <mh@glandium.org>  Mon, 21 Jun 2004 22:13:01 +0900

diggler (0.6-3) unstable; urgency=low

  * Added support for mozilla-firefox.
  * Made the output of `which` quiet in postrm and postinst.

 -- Mike Hommey <mh@glandium.org>  Wed, 25 Feb 2004 16:31:54 +0900

diggler (0.6-2) unstable; urgency=low

  * Standards-Version: 3.6.1. Added Build-Depends against debhelper.
  * Slightly changed debian/postinst and debian/postrm files.
  * debian/control: Moved section to a more appropriate place.
  * debian/postrm: Remove /etc/mozilla-extensions if empty on purge.

 -- Mike Hommey <mh@glandium.org>  Sun, 31 Aug 2003 00:51:02 +0200

diggler (0.6-1) unstable; urgency=low

  * New upstream release

 -- Mike Hommey <mh@glandium.org>  Mon, 18 Aug 2003 21:05:41 +0200

diggler (0.5-4) unstable; urgency=low

  * Removed transitional diggler package.
  * Standard-Versions: 3.5.10.0
  * debian/postinst, debian/postrm:
    - use /usr/bin/which instead of which.
    - replace cascades by diggler in comments ;-p

