=== debian/control ===
Source: diggler
Priority: optional
Section: web
Maintainer: Mike Hommey <glandium@debian.org>
Build-Depends: debhelper (>> 4.0.0)
Build-Depends-Indep: zip
Standards-Version: 3.6.1

Package: mozilla-diggler
Architecture: all
Depends: firefox | mozilla-firefox | mozilla-browser
Conflicts: diggler, mozilla-firefox (<< 0.99+1.0RC1-3)
Provides: diggler
Replaces: diggler
Description: A set of URL manipulation utilities for Mozilla's location bar
 Diggler adds a button next to the location bar which can clear the
 location bar (much like the one in Konqueror) but also drops down a
 menu with some useful actions such as being able to disable popup
 windows and navigate to parent directories in URLs (handy for FTP
 operations and nested sites).
 It is disabled by default, so you have to enable it from the Mozilla
 preference panel.
 .
 Note: Diggler looks pretty good in Modern and Classic themes but due
 to its nature it might need tweaking for other themes. If you think
 this is the case, raise a bug and attach a screenshot illustrating
 the problem you are seeing.
